import { t as definePluginEntry } from "../../plugin-entry-P94lIEUj.js";
import { t as buildFalImageGenerationProvider } from "../../image-generation-provider-BewMdwvZ.js";
import { t as buildFalMusicGenerationProvider } from "../../music-generation-provider-Da8VRo9b.js";
import { t as createFalProvider } from "../../provider-registration-XAwARVf_.js";
import { t as buildFalVideoGenerationProvider } from "../../video-generation-provider-BQMHOps6.js";
var fal_default = definePluginEntry({
	id: "fal",
	name: "fal Provider",
	description: "Bundled fal image, video, and music generation provider",
	register(api) {
		api.registerProvider(createFalProvider());
		api.registerImageGenerationProvider(buildFalImageGenerationProvider());
		api.registerMusicGenerationProvider(buildFalMusicGenerationProvider());
		api.registerVideoGenerationProvider(buildFalVideoGenerationProvider());
	}
});
//#endregion
export { fal_default as default };
